package com.iamberry.wechat.core.entity.machineNumber;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by Administrator on 2017/7/20.
 */
public class MachineGift implements Serializable {
    private static final long serialVersionUID = -8436820934640773267L;
    private Integer giftId;
    private String giftName;//赠品名称
    private Integer giftColor;//赠品颜色
    private String giftBar;//产品sku
    private Integer giftType;//类型
    private Integer giftStatus;//状态
    private Date giftCreateTime;//创建时间
    private Integer giftNum;//数量
    private Integer giftColorId;//赠品颜色id
    private Integer giftProductType;//产品类型
    private Integer giftProductId;//产品id
    private String giftProductPic;//产品介绍图

    public String getGiftProductPic() {
        return giftProductPic;
    }

    public void setGiftProductPic(String giftProductPic) {
        this.giftProductPic = giftProductPic;
    }

    public Integer getGiftProductType() {
        return giftProductType;
    }

    public void setGiftProductType(Integer giftProductType) {
        this.giftProductType = giftProductType;
    }

    public Integer getGiftProductId() {
        return giftProductId;
    }

    public void setGiftProductId(Integer giftProductId) {
        this.giftProductId = giftProductId;
    }

    public Integer getGiftColorId() {
        return giftColorId;
    }

    public void setGiftColorId(Integer giftColorId) {
        this.giftColorId = giftColorId;
    }

    public Integer getGiftNum() {
        return giftNum;
    }

    public void setGiftNum(Integer giftNum) {
        this.giftNum = giftNum;
    }

    public Integer getGiftId() {
        return giftId;
    }

    public void setGiftId(Integer giftId) {
        this.giftId = giftId;
    }

    public String getGiftName() {
        return giftName;
    }

    public void setGiftName(String giftName) {
        this.giftName = giftName;
    }

    public Integer getGiftColor() {
        return giftColor;
    }

    public void setGiftColor(Integer giftColor) {
        this.giftColor = giftColor;
    }

    public String getGiftBar() {
        return giftBar;
    }

    public void setGiftBar(String giftBar) {
        this.giftBar = giftBar;
    }

    public Integer getGiftType() {
        return giftType;
    }

    public void setGiftType(Integer giftType) {
        this.giftType = giftType;
    }

    public Integer getGiftStatus() {
        return giftStatus;
    }

    public void setGiftStatus(Integer giftStatus) {
        this.giftStatus = giftStatus;
    }

    public Date getGiftCreateTime() {
        return giftCreateTime;
    }

    public void setGiftCreateTime(Date giftCreateTime) {
        this.giftCreateTime = giftCreateTime;
    }
}
